accrue.analysis.pointer.analyses

## Class CallSiteForCallee

- java.lang.Object
- - accrue.analysis.pointer.analyses.HeapAbstractionFactory
  - - accrue.analysis.pointer.analyses.CallSiteForPattern
    - - accrue.analysis.pointer.analyses.CallSiteForCallee

-     public class CallSiteForCallee
      extends CallSiteForPattern

  Call site sensitive for any callees matching a given prefix

- - ### Field Summary

    - ### Fields inherited from class accrue.analysis.pointer.analyses.CallSiteForPattern

      `EMPTY_CONTEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallSiteForCallee(int sensitivity, java.lang.String prefixToTrack)` Create an analysis that tracks methods with a particular prefix with the given context-call-stack depth
    `CallSiteForCallee(java.lang.String prefixToTrack)` Create an analysis that tracks methods with a particular prefix with the given context-call-stack depth and the default sensitivity.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class accrue.analysis.pointer.analyses.CallSiteForPattern

      `init, initialContextImpl, mergeImpl, recordImpl`

    - ### Methods inherited from class accrue.analysis.pointer.analyses.HeapAbstractionFactory

      `clearMemoization, fixContextForReferenceVariable, initialContext, memoize, memoize, merge, record`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CallSiteForCallee

          public CallSiteForCallee(int sensitivity,
                           java.lang.String prefixToTrack)

      Create an analysis that tracks methods with a particular prefix with the given context-call-stack depth
      Parameters:
        `sensitivity` - depth of the call stack to keep track of
        `prefixToTrack` - Methods with this prefix will be tracked up to the sensitivity

    - #### CallSiteForCallee

          public CallSiteForCallee(java.lang.String prefixToTrack)

      Create an analysis that tracks methods with a particular prefix with the given context-call-stack depth and the default sensitivity.
      Parameters:
        `prefixToTrack` - Methods with this prefix will be tracked up to the sensitivity

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in class `CallSiteForPattern`